
# Security Warning! Do not commit this file to any VCS!
# This is a local file to speed up development process,
# so you don't have to change your environment variables.
#
# This is not applied to `.env.template`!
# Template files must be committed to the VCS, but must not contain
# any secret values.


# === General ===

DOMAIN_NAME={{ cookiecutter.project_domain }}


# === Django ===

# Generate yours with:
# python3 -c 'from django.utils.crypto import get_random_string; print(get_random_string(50))'
DJANGO_SECRET_KEY=__CHANGEME__
DJANGO_DEBUG=True
DJANGO_TIMEZONE=Australia/Melbourne
DJANGO_ADMIN_FORCE_ALLAUTH=False


# === Database ===

# These variables are special, since they are consumed
# by both django and mysql docker image.
# Cannot be renamed if you use mysql in docker.
# See: https://hub.docker.com/_/mysql

MYSQL_ROOT_PASSWORD=__CHANGEME__
MYSQL_DATABASE={{ cookiecutter.project_name}}
MYSQL_USER={{ cookiecutter.project_name }}
MYSQL_PASSWORD={{ cookiecutter.project_name }}_password

DJANGO_MYSQL_HOST=localhost
DJANGO_MYSQL_PORT=3306

# === EMAIL ===
